import { axios } from '@/utils/request'

const api = {
  meetingReservation: '/admin/mr'
}

export function getMeetingReservationList (parameter) {
  return axios({
    url: api.meetingReservation + '/list',
    method: 'post',
    data: parameter
  })
}

export function getAllRoom (parameter) {
  return axios({
    url: api.meetingReservation + '/getAllRoom',
    method: 'post',
    data: parameter
  })
}

export function saveMeetingReservation (parameter) {
  return axios({
    url: api.meetingReservation + (parameter.id > 0 ? '/update' : '/save'),
    method: 'post',
    data: parameter,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

export function delMeetingReservation (parameter) {
  return axios({
    url: api.meetingReservation + '/remove',
    method: 'post',
    params: parameter
  })
}

export const meetingReservationExport = api.meetingReservation + '/export'
